GuideLab Docs

List conversations

Retrieve paginated conversations for the current organization. Supports filtering by all/unread/waiting/responded and text search across partner names and message previews. Available to both labs and clinics.

GET
/conversations

Retrieve paginated conversations for the current organization. Supports filtering by all/unread/waiting/responded and text search across partner names and message previews. Available to both labs and clinics.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

filter?string

Value in

  • "all"
  • "unread"
  • "waiting"
  • "responded"
search?string
limit?string
offset?string
status?string

Lab only. Effective triage status; an expired snooze is open.

Value in

  • "open"
  • "snoozed"
  • "closed"
assignee?string

Lab only. "me", "unassigned", or a lab member id.

channel?string

Lab only. Threads with a message on this channel.

Value in

  • "whatsapp"
  • "sms"
  • "telegram"
  • "messenger"
  • "instagram"
  • "email"

Response Body

application/json

curl -X GET "https://example.com/conversations"
{  "data": [    {      "id": "string",      "partnershipId": "string",      "orderId": "string",      "title": "string",      "lastMessageId": "string",      "lastMessageAt": "string",      "lastMessagePreview": "string",      "lastMessageSenderId": "string",      "unreadCounts": {        "property1": 0,        "property2": 0      },      "isMuted": true,      "createdAt": "string",      "updatedAt": "string",      "partner": {        "id": "string",        "name": "string",        "nameMissing": true,        "logo": "string"      },      "order": {        "id": "string",        "orderNumber": "string",        "status": "string",        "patientId": "string",        "hidePatientFromLab": true      },      "patient": {        "id": "string",        "firstName": "string",        "lastName": "string",        "patientCode": "string"      },      "lastMessageSender": {        "id": "string",        "name": "string",        "image": "string"      },      "channels": [        "whatsapp"      ],      "lab": {        "status": "open",        "snoozedUntil": "string",        "assigneeMemberId": "string",        "assigneeName": "string",        "markedUnread": true      }    }  ],  "totalUnread": 0,  "unsortedCount": 0,  "pagination": {    "total": 0,    "limit": 0,    "offset": 0,    "hasMore": true  }}
Empty
Empty